# Class ExpressionBuilder

## Index

### Methods

- add
- addFieldExpression
- addFieldNotEqualExpression
- build
- fromExpressionBuilder
- getParts
- isEmpty
- remove
- merge
- mergeUsingOr

## Methods

### add

- add(expression: string): void

- - Defined in ui/Base/ExpressionBuilder.ts :18

  #### Parameters

  - ##### expression: string

  #### Returns void

### addFieldExpression

- addFieldExpression(field: string, operator: string, values: string[]): void

- - Defined in ui/Base/ExpressionBuilder.ts :38

  #### Parameters

  - ##### field: string

  - ##### operator: string

  - ##### values: string[]

  #### Returns void

### addFieldNotEqualExpression

- addFieldNotEqualExpression(field: string, values: string[]): void

- - Defined in ui/Base/ExpressionBuilder.ts :53

  #### Parameters

  - ##### field: string

  - ##### values: string[]

  #### Returns void

### build

- build(exp?: string): string

- - Defined in ui/Base/ExpressionBuilder.ts :86

  #### Parameters

  - ##### Default value exp: string = " "

  #### Returns string

### fromExpressionBuilder

- fromExpressionBuilder(expression: ExpressionBuilder): void

- - Defined in ui/Base/ExpressionBuilder.ts :27

  #### Parameters

  - ##### expression: ExpressionBuilder

  #### Returns void

### getParts

- getParts(): string[]

- - Defined in ui/Base/ExpressionBuilder.ts :101

  #### Returns string[]

  array containing the differents parts of the expression

### isEmpty

- isEmpty(): boolean

- - Defined in ui/Base/ExpressionBuilder.ts :77

  #### Returns boolean

### remove

- remove(expression: string): void

- - Defined in ui/Base/ExpressionBuilder.ts :65

  #### Parameters

  - ##### expression: string

  #### Returns void

### Static merge

- merge(...builders: ExpressionBuilder[]): ExpressionBuilder

- - Defined in ui/Base/ExpressionBuilder.ts :110

  #### Parameters

  - ##### Rest ...builders: ExpressionBuilder[]

  #### Returns ExpressionBuilder

### Static mergeUsingOr

- mergeUsingOr(...builders: ExpressionBuilder[]): ExpressionBuilder

- - Defined in ui/Base/ExpressionBuilder.ts :124

  #### Parameters

  - ##### Rest ...builders: ExpressionBuilder[]

  #### Returns ExpressionBuilder

### Hierarchy

- ExpressionBuilder